module DownloadableController
  extend ActiveSupport::Concern

  # GET /learning_objects/1/download
  def download
    downloadable.download(current_user, request.remote_ip)
    redirect_to downloadable.download_link
  end

  protected

  def downloadable
    raise NotImplementedError
  end

end
