class V1::VersionsController < ApplicationController
  include ::ResourceModel

  # GET v1/learning_objects/1/versions
  # GET v1/learning_objects/1/versions.json
  def index
    render json: resource_model.versions
  end

  # GET v1/learning_objects/1/versions/123
  # GET v1/learning_objects/1/versions/123.json
  def show
    resource = PaperTrail::Version.find(params[:id])
    render json: resource
  end

  # POST /learning_objects/1/versions/234/checkout
  def checkout
    resource = PaperTrail::Version.find(params[:id]).reify
    if resource.save
      render json: resource
    else
      render status: :unprocessable_entity
    end
  end

end
